#
# spec file for package libHX
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libHX
%define lname   libHX28
Summary:        Useful collection of routines for C and C++ programming
License:        LGPL-2.1 or LGPL-3.0
Group:          Development/Libraries/C and C++
Version:        3.19
Release:        0
Url:            http://libhx.sf.net/

Source:         http://downloads.sf.net/libhx/libHX-%version.tar.xz
Source2:        http://downloads.sf.net/libhx/libHX-%version.tar.xz.asc
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xz
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
%endif

%description
libHX is a C library (with some C++ bindings available) that provides
data structures and functions commonly needed, such as maps, deques,
linked lists, string formatting and autoresizing, option and config
file parsing, type checking casts and more.

%package -n %lname
Summary:        Useful collection of routines for C and C++ programming
Group:          System/Libraries

%description -n %lname
libHX is a C library (with some C++ bindings available) that provides
data structures and functions commonly needed, such as maps, deques,
linked lists, string formatting and autoresizing, option and config
file parsing, type checking casts and more.

libHX aids in quickly writing up C and C++ data processing programs,
by consolidating tasks that often happen to be open-coded, such as
(simple) config file reading, option parsing, directory traversal,
and others, into a library. The focus is on reducing the amount of
time (and secondarily, the amount of code) a developer has to spend
for otherwise implementing such.

%package devel
Summary:        Useful collection of routines for C and C++ programming
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libHX is a C library (with some C++ bindings available) that provides
data structures and functions commonly needed, such as maps, deques,
linked lists, string formatting and autoresizing, option and config
file parsing, type checking casts and more.

%prep
%{?gpg_verify: %gpg_verify %{S:2}}
%if 0%{?__xz:1}
%setup -q
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTq
%endif

%build
%configure --includedir="%_includedir/pkg/%name" --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot";
make DESTDIR="$b" install
mkdir -p "$b/%_docdir/%name"
install -pm0644 doc/* "$b/%_docdir/%name"
rm -f "$b/%_docdir/%name"/Makefile*
find "$b/%_libdir" -type f -name "*.la" -delete;

%check
make check %{?_smp_mflags}

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libHX*.so.28*

%files devel
%defattr(-,root,root)
%_docdir/%name/
%_includedir/pkg/
%_libdir/libHX*.so
%_libdir/pkgconfig/libHX.pc

%changelog
